/*Crear una matriz de 20x20 elementos. Escribir un programa que pida un número 
(entre 0 y 19) e imprima por pantalla su tabla de sumar.*/

#include <stdio.h>
#include <conio.h>
#include <dos.h>

#define C 21
#define F 21

void main()
{
	int matriz[F][C]={0},col,num,fil;
	char m[F][C];

	clrscr();
	printf("Teclee un n£mero del 0 al 19: ");
	scanf("%d",&num);
	for(fil=1;fil<=num+1;fil++)
	{
		matriz[fil][0]=fil-1;
		matriz[0][fil]=fil-1;
	}
	for(fil=0;fil<=num+1;fil++)
	{
		for(col=0;col<=num+1;col++)
		{
			matriz[fil][col]=matriz[fil][0]+matriz[0][col];
		}
	}
	m[0][0]='+';
	printf("\n");
	for(fil=0;fil<=num+1;fil++)
	{
	printf("\t");
		for(col=0;col<=num+1;col++)
		{
			if(fil==0 && col==0)
			{
				printf("%2c ",m[fil][col]);
			}
			else
			{
			printf("%2d ",matriz[fil][col]);
			delay(5);
			}
		}
		printf("\n");
	}
	getch();
}
